<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Test BDI in HTML</title>
    <link rel="stylesheet" href="styles/style.css">
    <link rel="shortcut icon" href="data:image/x-icon;," type="image/x-icon"> 
  </head>
  <body>
    <h1>Test BDI in HTML</h1>
    <section id="formatting-info">
      <h2>Info</h2>
      <a href="https://developer.mozilla.org/en-US/docs/Web/HTML/Global_attributes/dir" target="_blank">HTML dir</a>
      <a href="https://developer.mozilla.org/en-US/docs/Web/CSS/direction" target="_blank">CSS direction</a>
      <a href="https://developer.mozilla.org/en-US/docs/Web/CSS/unicode-bidi" target="_blank">CSS unicode-bidi (probably don't use)</a>
      <a href="https://www.unicode.org/reports/tr9/" target="_blank">Unicode BIDI algorithm</a>
      <a href="https://www.w3.org/International/questions/qa-bidi-unicode-controls" target="_blank">Unicode BIDI control characters</a>
    </section>
    <section id="testing-input">
      <h2>Input</h2>
      <label for="input-html-text">Input Bidirectional HTML Text</label>
      <textarea id="input-html-text" type="text"></textarea>
      <ul id="formatting-mark-container"></ul>
    </section>

    <section id="formatted-output">
      <h2>Formatted Output</h2>
      <input id="show-formatting-checkbox" type="checkbox" checked><label for="show-formatting-checkbox">Show Formatting</label>

    </section>

    <script type="module" src="/scripts/main.js"></script>
  </body>
</html>